Subject: Re: bug#63530: Missing library in package procps

From: Gabriel Wicki <[email-masked]>
Date: Tue, 16 May 2023 10:05:54 +0200

A little more hacking leads me to the conclusion that (probably with
version 4 but it's not exactly clear from the changelog) procps has made
some significant changes to it's API.  So, unless igt-gpu-tools (and
probably others) are fixed upstream they remain broken.  Fixes through
simple regex-magic in our build-phases might be possible, but I am not
confident enough in the matter to guarantee that the package would not
just build but be broken in a more specific manner.

Is there an easy way to check which dependents of procps are actually
broken currently?  Or is it really just igt-gpu-tools?

There's two ways to go (I'd be happy for some input and volunteer to do
the actual leg-work):
 1. Add an additional procps-3 package with the older API to fix the
 broken packages.
 2. Leave it as-is and wait for an upstream change of the currently
 broken packages.